установить HDF5 и pytables в ubuntu

Я пытаюсь установить пакет tables в Ubuntu 14.04, но sems, как он жалуется.

Я пытаюсь установить его с помощью PyCharm и его установщика пакетов, но похоже, что он жалуется на пакет HDF5 .

Однако, похоже, я не могу найти какой- hdf5 пакет hdf5 для установки перед tables .

Может ли кто-нибудь объяснить эту процедуру?

Попробуйте установить libhdf5-7 и python-tables через apt

Я обнаружил, что установка libhdf5-serial-dev с

  sudo apt-get install libhdf5-serial-dev 

сделал трюк.

Найдите библиотеку HDF5 в репозитории пакетов ubuntu.

 apt-cache search hdf5 

Команда покажет пакеты, относящиеся к hdf5.

установите соответствующий пакет для вас.

 sudo apt-get install package-name. 

в основном вам нужно установить hdf5-tools, h5utils, python-tables.